# Dockerfile

# 1. Imagen base
FROM python:3.11-slim

# 2. Variables de entorno para hacer Python más silencioso
ENV PYTHONDONTWRITEBYTECODE=1 \
    PYTHONUNBUFFERED=1

# 3. Workdir en el contenedor
WORKDIR /app

# 4. Copiamos requirements e instalamos
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# 5. Copiamos el proyecto
COPY . .

# 6. Recolectar estáticos y preparar migraciones al arrancar
ENTRYPOINT ["/app/entrypoint.sh"]
CMD ["gunicorn", "trafoking.wsgi:application", "--bind", "0.0.0.0:8000"]
